package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.CollectTruckRefuelSaveParam;
import com.clx.performance.param.app.collect.PageCollectTruckRefuelParam;
import com.clx.performance.param.pc.carrier.CarrierPageCollectTruckRefuelParam;
import com.clx.performance.vo.pc.collect.CollectTruckRefuelVO;

public interface CollectTruckRefuelService {

    void saveRefuelReport(CollectTruckRefuelSaveParam param);

    CollectTruckRefuelVO getReportInfo(Integer id);

    IPage<CollectTruckRefuelVO> pageRefuelReport(PageCollectTruckRefuelParam param);
    IPage<CollectTruckRefuelVO> carrierPageRefuelReport(CarrierPageCollectTruckRefuelParam param);


}
